#pragma once
#include "db/AccountInfo.h"

class AccountDAO {
public:
    [[nodiscard]] static bool upsertAccount(const AccountInfo &info);

    [[nodiscard]] static bool deleteAccount(int id);

    [[nodiscard]] static QList<AccountInfo> getAccounts(const QString &deviceId, const QString &appName);

    [[nodiscard]] static AccountInfo getAccountById(int accountId);

    [[nodiscard]] static AccountInfo findAppAccount(
        const QString &deviceId,
        const QString &appName,
        const QString &lastNumber
    );
};
